List Tracked Products
curl --request GET \
--url https://server.promptwatch.com/api/v2/shopping/tracked-products \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/shopping/tracked-products"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/shopping/tracked-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalProductId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"shoppingItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"foreignId": "<string>",
"title": "<string>"
}
}
]
}{
"error": "Bad Request",
"code": "DATE_RANGE_TOO_LARGE",
"message": "Date range cannot exceed 90 days"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "SHOPPING_INSIGHTS_PLAN_REQUIRED",
"message": "Shopping insights are not available on your current plan"
}{
"code": "SHOPPING_INSIGHTS_PLAN_REQUIRED",
"message": "Shopping insights are not available on your current plan"
}Shopping
List Tracked Products
Tracked products (My products) with their matched extracted shopping items
GET
/
shopping
/
tracked-products
List Tracked Products
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Case-insensitive search within name and description
Exact (case-insensitive) catalog product id
Filter by whether the product is matched to an extracted shopping item
Available options:
matched, unmatched Response
Default Response
Tracked products, newest first
Show child attributes
Show child attributes
⌘I